> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Single validator rewards

This endpoint returns all the useful information you need on the historical rewards of a single validator (e.g. voting rewards, block proposals, MEV). For a glossary of the variables returned, see [validators](/rated-api/glossary/solana/validators).

Here's how to interpret the inputs required to operate it👇

| Parameter     | Description                                                                                                         |
| :------------ | :------------------------------------------------------------------------------------------------------------------ |
| `from`        | Starting UTC date (e.g. from="2024-04-22"), or a slot multiple of 3,000 (approximately 20 minutes)                  |
| `granularity` | The size of time increments you are looking to query. Can be `day`or `3k`(3,000 slots or approximately 20 minutes). |
| `size`        | The number of results included per page                                                                             |


## OpenAPI

````yaml get /v0/solana/validators/{validator_id}/rewards
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/solana/validators/{validator_id}/rewards:
    get:
      tags:
        - Solana Validators
      summary: Validator Rewards
      operationId: validator_rewards_v0_solana_validators__validator_id__rewards_get
      parameters:
        - name: validator_id
          in: path
          required: true
          schema:
            type: string
            title: Validator Id
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: integer
              - type: 'null'
            description: UTC day or slot multiple of 3k
            title: From
          description: UTC day or slot multiple of 3k
        - name: granularity
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/networks__solana__granularity__Granularity'
            description: UTC day or 3k block interval
          description: UTC day or 3k block interval
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 15
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_SolanaValidatorRewards_'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    networks__solana__granularity__Granularity:
      type: string
      enum:
        - 3k
        - day
      title: Granularity
    PaginatedResponse_SolanaValidatorRewards_:
      properties:
        page:
          $ref: '#/components/schemas/api__schemas__page_solana__Page'
        total:
          type: integer
          minimum: 0
          title: Total
        data:
          items:
            $ref: '#/components/schemas/SolanaValidatorRewards'
          type: array
          title: Data
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - page
        - total
        - data
      title: PaginatedResponse[SolanaValidatorRewards]
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    api__schemas__page_solana__Page:
      properties:
        from:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: From
        to:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: To
        granularity:
          anyOf:
            - $ref: '#/components/schemas/networks__solana__granularity__Granularity'
            - type: 'null'
        size:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
            - type: 'null'
          title: Size
      type: object
      title: Page
    SolanaValidatorRewards:
      properties:
        voteAccount:
          type: string
          title: Voteaccount
        from:
          title: From
        fromSlot:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Fromslot
        toSlot:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Toslot
        fromEpoch:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Fromepoch
        toEpoch:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Toepoch
        stakeRewards:
          anyOf:
            - type: string
            - type: 'null'
          title: Stakerewards
        blockRewards:
          type: string
          title: Blockrewards
        rentRewards:
          type: string
          title: Rentrewards
        voteRewards:
          type: string
          title: Voterewards
        validatorMevClaimed:
          type: string
          title: Validatormevclaimed
        delegatorMevClaimed:
          anyOf:
            - type: string
            - type: 'null'
          title: Delegatormevclaimed
        mevTips:
          type: string
          title: Mevtips
        voteCommissionRate:
          anyOf:
            - type: string
            - type: 'null'
          title: Votecommissionrate
        mevCommissionRate:
          anyOf:
            - type: string
            - type: 'null'
          title: Mevcommissionrate
        jitoDelegatorPriorityFeeRewardsClaimed:
          anyOf:
            - type: string
            - type: 'null'
          title: Jitodelegatorpriorityfeerewardsclaimed
        jitoPriorityFeeCommissionRate:
          anyOf:
            - type: string
            - type: 'null'
          title: Jitopriorityfeecommissionrate
      type: object
      required:
        - voteAccount
        - from
        - fromSlot
        - toSlot
        - fromEpoch
        - toEpoch
        - blockRewards
        - rentRewards
        - voteRewards
        - validatorMevClaimed
        - delegatorMevClaimed
        - mevTips
        - voteCommissionRate
        - mevCommissionRate
        - jitoDelegatorPriorityFeeRewardsClaimed
        - jitoPriorityFeeCommissionRate
      title: SolanaValidatorRewards
      examples:
        - blockRewards: 250.2
          delegatorMevClaimed: 100.1
          fromEpoch: 597
          fromSlot: 258212466
          from_: '2024-12-14'
          jitoDelegatorPriorityFeeCommissionRate: 0.1
          jitoDelegatorPriorityFeeRewardsClaimed: 25.02
          mevCommissionRate: 0.07
          mevTips: 1100.1
          rentRewards: 50.01
          stakeRewards: 25000.1
          toEpoch: 598
          toSlot: 258394459
          validatorMevClaimed: 10.1
          voteAccount: voteAccount
          voteCommissionRate: 0.07
          voteRewards: 2500.1
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````